## org.eclipse.emf.compare.diff.provider
Class DiffItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.compare.diff.metamodel.util.DiffAdapterFactory
              org.eclipse.emf.compare.diff.provider.DiffItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class DiffItemProviderAdapterFactory

extends DiffAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected AttributeChangeItemProvider` `attributeChangeItemProvider` This keeps track of the one adapter used for all `AttributeChange` instances
`protected AttributeChangeLeftTargetItemProvider` `attributeChangeLeftTargetItemProvider` This keeps track of the one adapter used for all `AttributeChangeLeftTarget` instances
`protected AttributeChangeRightTargetItemProvider` `attributeChangeRightTargetItemProvider` This keeps track of the one adapter used for all `AttributeChangeRightTarget` instances.
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ComparisonResourceSetSnapshotItemProvider` `comparisonResourceSetSnapshotItemProvider` This keeps track of the one adapter used for all `ComparisonResourceSetSnapshot` instances
`protected ComparisonResourceSnapshotItemProvider` `comparisonResourceSnapshotItemProvider` This keeps track of the one adapter used for all `ComparisonResourceSnapshot` instances
`protected ConflictingDiffElementItemProvider` `conflictingDiffElementItemProvider` This keeps track of the one adapter used for all `ConflictingDiffElement` instances
`protected DiffGroupItemProvider` `diffGroupItemProvider` This keeps track of the one adapter used for all `DiffGroup` instances
`protected DiffModelItemProvider` `diffModelItemProvider` This keeps track of the one adapter used for all `DiffModel` instances
`protected DiffResourceSetItemProvider` `diffResourceSetItemProvider` This keeps track of the one adapter used for all `DiffResourceSet` instances
`protected ModelElementChangeItemProvider` `modelElementChangeItemProvider` This keeps track of the one adapter used for all `ModelElementChange` instances
`protected ModelElementChangeLeftTargetItemProvider` `modelElementChangeLeftTargetItemProvider` This keeps track of the one adapter used for all `ModelElementChangeLeftTarget` instances.
`protected ModelElementChangeRightTargetItemProvider` `modelElementChangeRightTargetItemProvider` This keeps track of the one adapter used for all `ModelElementChangeRightTarget` instances.
`protected MoveModelElementItemProvider` `moveModelElementItemProvider` This keeps track of the one adapter used for all `MoveModelElement` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected ReferenceChangeItemProvider` `referenceChangeItemProvider` This keeps track of the one adapter used for all `ReferenceChange` instances
`protected ReferenceChangeLeftTargetItemProvider` `referenceChangeLeftTargetItemProvider` This keeps track of the one adapter used for all `ReferenceChangeLeftTarget` instances
`protected ReferenceChangeRightTargetItemProvider` `referenceChangeRightTargetItemProvider` This keeps track of the one adapter used for all `ReferenceChangeRightTarget` instances.
`protected ReferenceOrderChangeItemProvider` `referenceOrderChangeItemProvider` This keeps track of the one adapter used for all `ReferenceOrderChange` instances
`protected ResourceDependencyChangeItemProvider` `resourceDependencyChangeItemProvider` This keeps track of the one adapter used for all `ResourceDependencyChange` instances
`protected ResourceDependencyChangeLeftTargetItemProvider` `resourceDependencyChangeLeftTargetItemProvider` This keeps track of the one adapter used for all `ResourceDependencyChangeLeftTarget` instances
`protected ResourceDependencyChangeRightTargetItemProvider` `resourceDependencyChangeRightTargetItemProvider` This keeps track of the one adapter used for all `ResourceDependencyChangeRightTarget` instances
`protected ResourceDiffItemProvider` `resourceDiffItemProvider` This keeps track of the one adapter used for all `ResourceDiff` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected UpdateAttributeItemProvider` `updateAttributeItemProvider` This keeps track of the one adapter used for all `UpdateAttribute` instances
`protected UpdateContainmentFeatureItemProvider` `updateContainmentFeatureItemProvider` This keeps track of the one adapter used for all `UpdateContainmentFeature` instances
`protected UpdateModelElementItemProvider` `updateModelElementItemProvider` This keeps track of the one adapter used for all `UpdateModelElement` instances
`protected UpdateReferenceItemProvider` `updateReferenceItemProvider` This keeps track of the one adapter used for all `UpdateReference` instances

Fields inherited from class org.eclipse.emf.compare.diff.metamodel.util.DiffAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`DiffItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeAdapter()` This creates an adapter for a `AttributeChange`.
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeLeftTargetAdapter()` This creates an adapter for a `AttributeChangeLeftTarget`
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeRightTargetAdapter()` This creates an adapter for a `AttributeChangeRightTarget`
`org.eclipse.emf.common.notify.Adapter` `createComparisonResourceSetSnapshotAdapter()` This creates an adapter for a `ComparisonResourceSetSnapshot`
`org.eclipse.emf.common.notify.Adapter` `createComparisonResourceSnapshotAdapter()` This creates an adapter for a `ComparisonResourceSnapshot`
`org.eclipse.emf.common.notify.Adapter` `createConflictingDiffElementAdapter()` This creates an adapter for a `ConflictingDiffElement`
`org.eclipse.emf.common.notify.Adapter` `createDiffGroupAdapter()` This creates an adapter for a `DiffGroup`.
`org.eclipse.emf.common.notify.Adapter` `createDiffModelAdapter()` This creates an adapter for a `DiffModel`.
`org.eclipse.emf.common.notify.Adapter` `createDiffResourceSetAdapter()` This creates an adapter for a `DiffResourceSet`
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeAdapter()` This creates an adapter for a `ModelElementChange`.
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeLeftTargetAdapter()` This creates an adapter for a `ModelElementChangeLeftTarget`
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeRightTargetAdapter()` This creates an adapter for a `ModelElementChangeRightTarget`
`org.eclipse.emf.common.notify.Adapter` `createMoveModelElementAdapter()` This creates an adapter for a `MoveModelElement`.
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeAdapter()` This creates an adapter for a `ReferenceChange`.
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeLeftTargetAdapter()` This creates an adapter for a `ReferenceChangeLeftTarget`
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeRightTargetAdapter()` This creates an adapter for a `ReferenceChangeRightTarget`
`org.eclipse.emf.common.notify.Adapter` `createReferenceOrderChangeAdapter()` This creates an adapter for a `ReferenceOrderChange`
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeAdapter()` This creates an adapter for a `ResourceDependencyChange`
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeLeftTargetAdapter()` This creates an adapter for a `ResourceDependencyChangeLeftTarget`
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeRightTargetAdapter()` This creates an adapter for a `ResourceDependencyChangeRightTarget`
`org.eclipse.emf.common.notify.Adapter` `createResourceDiffAdapter()` This creates an adapter for a `ResourceDiff`
`org.eclipse.emf.common.notify.Adapter` `createUpdateAttributeAdapter()` This creates an adapter for a `UpdateAttribute`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateContainmentFeatureAdapter()` This creates an adapter for a `UpdateContainmentFeature`
`org.eclipse.emf.common.notify.Adapter` `createUpdateModelElementAdapter()` This creates an adapter for a `UpdateModelElement`.
`org.eclipse.emf.common.notify.Adapter` `createUpdateReferenceAdapter()` This creates an adapter for a `UpdateReference`.
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.emf.compare.diff.metamodel.util.DiffAdapterFactory
`createAbstractDiffExtensionAdapter, createAdapter, createComparisonSnapshotAdapter, createDiffElementAdapter, createEObjectAdapter, shouldBeHidden`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### attributeChangeItemProvider

    protected AttributeChangeItemProvider attributeChangeItemProvider

  This keeps track of the one adapter used for all `AttributeChange` instances.

### attributeChangeLeftTargetItemProvider

    protected AttributeChangeLeftTargetItemProvider attributeChangeLeftTargetItemProvider

  This keeps track of the one adapter used for all `AttributeChangeLeftTarget` instances.

### attributeChangeRightTargetItemProvider

    protected AttributeChangeRightTargetItemProvider attributeChangeRightTargetItemProvider

  This keeps track of the one adapter used for all `AttributeChangeRightTarget` instances.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### conflictingDiffElementItemProvider

    protected ConflictingDiffElementItemProvider conflictingDiffElementItemProvider

  This keeps track of the one adapter used for all `ConflictingDiffElement` instances.

### diffGroupItemProvider

    protected DiffGroupItemProvider diffGroupItemProvider

  This keeps track of the one adapter used for all `DiffGroup` instances.

### diffModelItemProvider

    protected DiffModelItemProvider diffModelItemProvider

  This keeps track of the one adapter used for all `DiffModel` instances.

### modelElementChangeItemProvider

    protected ModelElementChangeItemProvider modelElementChangeItemProvider

  This keeps track of the one adapter used for all `ModelElementChange` instances.

### modelElementChangeLeftTargetItemProvider

    protected ModelElementChangeLeftTargetItemProvider modelElementChangeLeftTargetItemProvider

  This keeps track of the one adapter used for all `ModelElementChangeLeftTarget` instances.

### modelElementChangeRightTargetItemProvider

    protected ModelElementChangeRightTargetItemProvider modelElementChangeRightTargetItemProvider

  This keeps track of the one adapter used for all `ModelElementChangeRightTarget` instances.

### moveModelElementItemProvider

    protected MoveModelElementItemProvider moveModelElementItemProvider

  This keeps track of the one adapter used for all `MoveModelElement` instances.

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### referenceChangeItemProvider

    protected ReferenceChangeItemProvider referenceChangeItemProvider

  This keeps track of the one adapter used for all `ReferenceChange` instances.

### referenceChangeLeftTargetItemProvider

    protected ReferenceChangeLeftTargetItemProvider referenceChangeLeftTargetItemProvider

  This keeps track of the one adapter used for all `ReferenceChangeLeftTarget` instances.

### referenceChangeRightTargetItemProvider

    protected ReferenceChangeRightTargetItemProvider referenceChangeRightTargetItemProvider

  This keeps track of the one adapter used for all `ReferenceChangeRightTarget` instances.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### updateAttributeItemProvider

    protected UpdateAttributeItemProvider updateAttributeItemProvider

  This keeps track of the one adapter used for all `UpdateAttribute` instances.

### updateModelElementItemProvider

    protected UpdateModelElementItemProvider updateModelElementItemProvider

  This keeps track of the one adapter used for all `UpdateModelElement` instances.

### updateReferenceItemProvider

    protected UpdateReferenceItemProvider updateReferenceItemProvider

  This keeps track of the one adapter used for all `UpdateReference` instances.

### comparisonResourceSnapshotItemProvider

    protected ComparisonResourceSnapshotItemProvider comparisonResourceSnapshotItemProvider

  This keeps track of the one adapter used for all `ComparisonResourceSnapshot` instances.

### comparisonResourceSetSnapshotItemProvider

    protected ComparisonResourceSetSnapshotItemProvider comparisonResourceSetSnapshotItemProvider

  This keeps track of the one adapter used for all `ComparisonResourceSetSnapshot` instances.

### diffResourceSetItemProvider

    protected DiffResourceSetItemProvider diffResourceSetItemProvider

  This keeps track of the one adapter used for all `DiffResourceSet` instances.

### updateContainmentFeatureItemProvider

    protected UpdateContainmentFeatureItemProvider updateContainmentFeatureItemProvider

  This keeps track of the one adapter used for all `UpdateContainmentFeature` instances.

### resourceDiffItemProvider

    protected ResourceDiffItemProvider resourceDiffItemProvider

  This keeps track of the one adapter used for all `ResourceDiff` instances.

### resourceDependencyChangeItemProvider

    protected ResourceDependencyChangeItemProvider resourceDependencyChangeItemProvider

  This keeps track of the one adapter used for all `ResourceDependencyChange` instances.

### resourceDependencyChangeLeftTargetItemProvider

    protected ResourceDependencyChangeLeftTargetItemProvider resourceDependencyChangeLeftTargetItemProvider

  This keeps track of the one adapter used for all `ResourceDependencyChangeLeftTarget` instances.

### resourceDependencyChangeRightTargetItemProvider

    protected ResourceDependencyChangeRightTargetItemProvider resourceDependencyChangeRightTargetItemProvider

  This keeps track of the one adapter used for all `ResourceDependencyChangeRightTarget` instances.

### referenceOrderChangeItemProvider

    protected ReferenceOrderChangeItemProvider referenceOrderChangeItemProvider

  This keeps track of the one adapter used for all `ReferenceOrderChange` instances.

Constructor Detail

### DiffItemProviderAdapterFactory

    public DiffItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### createAttributeChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeAdapter()

  This creates an adapter for a `AttributeChange`.

  Overrides:
    `createAttributeChangeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeChange`

### createAttributeChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeLeftTargetAdapter()

  This creates an adapter for a `AttributeChangeLeftTarget`.

  Overrides:
    `createAttributeChangeLeftTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeChangeLeftTarget`

### createAttributeChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeRightTargetAdapter()

  This creates an adapter for a `AttributeChangeRightTarget`.

  Overrides:
    `createAttributeChangeRightTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeChangeRightTarget`

### createConflictingDiffElementAdapter

    public org.eclipse.emf.common.notify.Adapter createConflictingDiffElementAdapter()

  This creates an adapter for a `ConflictingDiffElement`.

  Overrides:
    `createConflictingDiffElementAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConflictingDiffElement`

### createDiffGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffGroupAdapter()

  This creates an adapter for a `DiffGroup`.

  Overrides:
    `createDiffGroupAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiffGroup`

### createComparisonResourceSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createComparisonResourceSnapshotAdapter()

  This creates an adapter for a `ComparisonResourceSnapshot`.

  Overrides:
    `createComparisonResourceSnapshotAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComparisonResourceSnapshot`

### createComparisonResourceSetSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createComparisonResourceSetSnapshotAdapter()

  This creates an adapter for a `ComparisonResourceSetSnapshot`.

  Overrides:
    `createComparisonResourceSetSnapshotAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComparisonResourceSetSnapshot`

### createDiffModelAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffModelAdapter()

  This creates an adapter for a `DiffModel`.

  Overrides:
    `createDiffModelAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiffModel`

### createDiffResourceSetAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffResourceSetAdapter()

  This creates an adapter for a `DiffResourceSet`.

  Overrides:
    `createDiffResourceSetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiffResourceSet`

### createModelElementChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeAdapter()

  This creates an adapter for a `ModelElementChange`.

  Overrides:
    `createModelElementChangeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModelElementChange`

### createModelElementChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeLeftTargetAdapter()

  This creates an adapter for a `ModelElementChangeLeftTarget`.

  Overrides:
    `createModelElementChangeLeftTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModelElementChangeLeftTarget`

### createModelElementChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeRightTargetAdapter()

  This creates an adapter for a `ModelElementChangeRightTarget`.

  Overrides:
    `createModelElementChangeRightTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModelElementChangeRightTarget`

### createMoveModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMoveModelElementAdapter()

  This creates an adapter for a `MoveModelElement`.

  Overrides:
    `createMoveModelElementAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MoveModelElement`

### createUpdateContainmentFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateContainmentFeatureAdapter()

  This creates an adapter for a `UpdateContainmentFeature`.

  Overrides:
    `createUpdateContainmentFeatureAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateContainmentFeature`

### createReferenceChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeAdapter()

  This creates an adapter for a `ReferenceChange`.

  Overrides:
    `createReferenceChangeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferenceChange`

### createReferenceChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeLeftTargetAdapter()

  This creates an adapter for a `ReferenceChangeLeftTarget`.

  Overrides:
    `createReferenceChangeLeftTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferenceChangeLeftTarget`

### createReferenceChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeRightTargetAdapter()

  This creates an adapter for a `ReferenceChangeRightTarget`.

  Overrides:
    `createReferenceChangeRightTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferenceChangeRightTarget`

### createResourceDiffAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDiffAdapter()

  This creates an adapter for a `ResourceDiff`.

  Overrides:
    `createResourceDiffAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceDiff`

### createResourceDependencyChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeAdapter()

  This creates an adapter for a `ResourceDependencyChange`.

  Overrides:
    `createResourceDependencyChangeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChange`

### createResourceDependencyChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeLeftTargetAdapter()

  This creates an adapter for a `ResourceDependencyChangeLeftTarget`.

  Overrides:
    `createResourceDependencyChangeLeftTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChangeLeftTarget`

### createResourceDependencyChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeRightTargetAdapter()

  This creates an adapter for a `ResourceDependencyChangeRightTarget`.

  Overrides:
    `createResourceDependencyChangeRightTargetAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChangeRightTarget`

### createUpdateAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateAttributeAdapter()

  This creates an adapter for a `UpdateAttribute`.

  Overrides:
    `createUpdateAttributeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateAttribute`

### createUpdateModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateModelElementAdapter()

  This creates an adapter for a `UpdateModelElement`.

  Overrides:
    `createUpdateModelElementAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateModelElement`

### createUpdateReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateReferenceAdapter()

  This creates an adapter for a `UpdateReference`.

  Overrides:
    `createUpdateReferenceAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateReference`

### createReferenceOrderChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceOrderChangeAdapter()

  This creates an adapter for a `ReferenceOrderChange`.

  Overrides:
    `createReferenceOrderChangeAdapter` in class `DiffAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferenceOrderChange`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `DiffAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

Copyright 2006 IBM Corporation and others. All Rights Reserved.